Service Categories API
- List service categories
- Get a single service category
- Create a service category
- Update a service category
- Remove a service category
- Fields
List service categories
Заголовок раздела «List service categories»List all service categories for an account:
GET /service_categoriesResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 1, "sourceID": null, "name": "Enterprise Applications", "created_at": "2014-01-30T09:07:00-06:00", "updated_at": "2014-01-30T09:07:41-06:00", "localized_name": "Enterprise Applications" }, { "id": 2, "sourceID": null, "name": "Printing", "created_at": "2014-01-30T09:08:34-06:00", "updated_at": "2014-01-30T09:08:34-06:00", "localized_name": "Printing" }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of service categories.
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of service categories:
id
sourceID
name
created_at
updated_at
Obtain a different set of fields using the ?fields=parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
source
sourceID
name
created_at
updated_at
The filters on
source
,
sourceID
and
name
are not case sensitive.
Sorting
Заголовок раздела «Sorting»By default a collection of service categories is sorted
ascending
by
name
.
The following fields are accepted by the ?sort=parameter :
id
sourceID
name
created_at
updated_at
Get a single service category
Заголовок раздела «Get a single service category»GET /service_categories/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "id": 6, "source": "R-Service", "sourceID": null, "name": "Enterprise Applications", "localized_name": "Enterprise Applications", "description": "These are the software application services that are used for the support of Widget's core and non-core business processes. They do not include the Email service or the applications that run on PCs or mobile devices without network connectivity.", "localized_description": "These are the software application services that are used for the support of Widget's core and non-core business processes. They do not include the Email service or the applications that run on PCs or mobile devices without network connectivity.", "picture_uri": null, "created_at": "2014-01-30T09:07:00-06:00", "updated_at": "2014-01-30T09:07:41-06:00", "services": [ { "id": 18, "name": "Customer Relationship Management (Siebel)", "localized_name": "Customer Relationship Management (Siebel)", "provider": { "id": 32, "name": "Widget Data Center, External IT" } }, "..." ]}The response contains these fields .
Create a service category
Заголовок раздела «Create a service category»POST /service_categoriesWhen creating a new service category these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "id": "...", "...": "..."}The response contains all fields of the created service category and is similar to the response in Get a single service category
Update a service category
Заголовок раздела «Update a service category»PATCH /service_categories/:idWhen updating a service category these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "id": "...", "...": "..."}The response contains all fields of the updated service category and is similar to the response in Get a single service category
Remove a service category
Заголовок раздела «Remove a service category»Remove a service category with a specific ID.
DELETE /service_categories/:idResponse
Заголовок раздела «Response»Status: 204 No Contentattachments
Readonly aggregated Attachments
created_at
Readonly datetime — The date and time at which the service category was created.
description
Optional text (max 64KB) — The Description field is used to enter a high-level description of the type of services that are included in the service category.
description_attachments
Writeonly attachments The attachments used in the Description field.
id
Readonly integer — The unique ID of the service category.
localized_description
Readonly
string
(max 64KB)
— Translated Description in the current
language
, defaults to
description
in case no translation is provided.
localized_name
Readonly
string
(max 255)
— Translated Name in the current
language
, defaults to
name
in case no translation is provided.
name
Required string (max 128) — The Name field is used to enter the name of the service category.
picture_uri
Optional string — The hyperlink to the image file for the service category.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
updated_at
Readonly
datetime
— The date and time of the last update of the service category. If the service category has no updates it contains the
created_at
value.